const { decode } = require('pluscodes@2.5.0')
decode('9FFW84J9+XG');

decode('9FFW84J9+');

decode('9FFW0000+');

const { encode } = require('pluscodes@2.5.0')

encode({ latitude: '59.332438', longitude: '18.118813' });

encode({ latitude: '59.332438', longitude: '18.118813' }, 8);
encode({ latitude: '59.332438', longitude: '18.118813' }, 4);

const { shorten } = require('pluscodes@2.5.0')
shorten('9FFW84J9+XG', { latitude: '59.329394', longitude: '18.068712' });

const { expand } = require('pluscodes@2.5.0')

expand('84J9+XG', { latitude: '59.329394', longitude: '18.068712' });

const NodeGeocoder = require('node-geocoder')
var geocoder = NodeGeocoder({ provider: 'openstreetmap' })
geocoder.geocode('Stockholm, Sweden').then(places => expand('84J9+XG', places[0])).then(console.log) && "Fetching geocode...";